[Choice]
BestAlternative_1 * 1 + BestAlternative_2 * 2 + BestAlternative_3 * 3 

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
Constant1			0	-10000	10000	1
Constant2		0	-10000	10000	0
Constant3		0	-10000	10000	0
Fare			0	-10000	10000	0
Legroom			0	-10000	10000	0
Total_TT		0	-10000	10000	0
SchedDE		0	-10000	10000	0
SchedDL		0	-10000	10000	0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Opt1   one   Constant1 * one 
+ Fare * Fare_1
+ Legroom * Legroom_1 
+ SchedDE * Opt1_SchedDelayEarly
+ SchedDL * Opt1_SchedDelayLate
+ Total_TT * TripTimeHours_1

 2 Opt2 one  Constant2 * one
+ Fare * Fare_2
+ Legroom * Legroom_2 
+ SchedDE * Opt2_SchedDelayEarly
+ SchedDL * Opt2_SchedDelayLate
+ Total_TT * TripTimeHours_2

 3 Opt3   one     Constant3 * one
+ Fare * Fare_3
+ Legroom * Legroom_3
+ SchedDE * Opt3_SchedDelayEarly
+ SchedDL * Opt3_SchedDelayLate 
+ Total_TT * TripTimeHours_3

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data

//Calculation of Schedule delay (early and late), SchedDeLayEarly is scheduled early departure (in hours).
//It accounts for the fact that some people are sensitive to departure delay, but others not.
DepartureTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  1 
ArrivalTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  2 
Missing  = (  q11_DepartureOrArrivalIsImportant   !=  1  ) * (  q11_DepartureOrArrivalIsImportant   !=  2  )
DesiredDepartureTime  = q12_IdealDepTime 
DesiredArrivalTime  = q13_IdealArrTime 

ScheduledDelay_1 = DepartureTimeSensitive * (DepartureTimeMins_1 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_1 - DesiredArrivalTime ) 
ScheduledDelay_2 = DepartureTimeSensitive * (DepartureTimeMins_2 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_2 - DesiredArrivalTime ) 
ScheduledDelay_3 = DepartureTimeSensitive * (DepartureTimeMins_3 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_3 - DesiredArrivalTime ) 

Opt1_SchedDelayEarly = - ScheduledDelay_1 * (ScheduledDelay_1 < 0) / 60
Opt2_SchedDelayEarly = - ScheduledDelay_2 * (ScheduledDelay_2 < 0) / 60
Opt3_SchedDelayEarly = - ScheduledDelay_3 * (ScheduledDelay_3 < 0) / 60
Opt1_SchedDelayLate = ScheduledDelay_1 * (ScheduledDelay_1 > 0) / 60
Opt2_SchedDelayLate = ScheduledDelay_2 * (ScheduledDelay_2 > 0) / 60
Opt3_SchedDelayLate = ScheduledDelay_3 * (ScheduledDelay_3 > 0) / 60

one = 1

[Exclude]
ArrivalTimeHours_1 == -1

[Model]									    
$MNL
