[Choice]
BestAlternative_1 * 1 + BestAlternative_2 * 2 + BestAlternative_3 * 3

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
Constant1			0	-10000	10000	1
Constant2		0	-10000	10000	0
Constant3		0	-10000	10000	0
Fare			0	-10000	10000	0
Legroom			0	-10000	10000	0
Total_TT1		0	-10000	10000	0
Total_TT2		0	-10000	10000	0
Total_TT3		0	-10000	10000	0
SchedDE		0	-10000	10000	0
SchedDL		0	-10000	10000	0
Income1	0	-10000	10000	1
Income2	0	-10000	10000	0
Income3	0	-10000	10000	0
MI	0	-10000	10000	0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Opt1   one   Constant1 * one 
+ Fare * Fare_1
+ Legroom * Legroom_1 
+ SchedDE * Opt1_SchedDelayEarly
+ SchedDL * Opt1_SchedDelayLate
+ Total_TT1 * TripTimeHours_1
+ Income1 * Income

 2 Opt2 one  Constant2 * one
+ Fare * Fare_2
+ Legroom * Legroom_2 
+ SchedDE * Opt2_SchedDelayEarly
+ SchedDL * Opt2_SchedDelayLate
+ Total_TT2 * TripTimeHours_2
+ Income2 * Income
+ MI * MissingIncome

 3 Opt3 one  Constant3 * one
+ Fare * Fare_3
+ Legroom * Legroom_3
+ SchedDE * Opt3_SchedDelayEarly
+ SchedDL * Opt3_SchedDelayLate
+ Total_TT3 * TripTimeHours_3
+ Income3 * Income
+ MI * MissingIncome

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

MissingIncome = ( (q16_Income == -1) + (q16_Income == 99) ) > 0
Income = (q16_Income != -1) * (q16_Income != 99) * q16_Income

DepartureTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  1 
ArrivalTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  2 
DesiredDepartureTime  = q12_IdealDepTime 
DesiredArrivalTime  = q13_IdealArrTime 

ScheduledDelay_1 = DepartureTimeSensitive * (DepartureTimeMins_1 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_1 - DesiredArrivalTime ) 
ScheduledDelay_2 = DepartureTimeSensitive * (DepartureTimeMins_2 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_2 - DesiredArrivalTime ) 
ScheduledDelay_3 = DepartureTimeSensitive * (DepartureTimeMins_3 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_3 - DesiredArrivalTime ) 

# Early = ScheduledDelay < 0 
# Late  = ScheduledDelay > 0 
Opt1_SchedDelayEarly = - ScheduledDelay_1 * (ScheduledDelay_1 < 0) / 60
Opt2_SchedDelayEarly = - ScheduledDelay_2 * (ScheduledDelay_2 < 0) / 60
Opt3_SchedDelayEarly = - ScheduledDelay_3 * (ScheduledDelay_3 < 0) / 60
Opt1_SchedDelayLate = ScheduledDelay_1 * (ScheduledDelay_1 > 0) / 60
Opt2_SchedDelayLate = ScheduledDelay_2 * (ScheduledDelay_2 > 0) / 60
Opt3_SchedDelayLate = ScheduledDelay_3 * (ScheduledDelay_3 > 0) / 60

# We focus on the choice between alt. 1 and 2. We remove all
# observations where alt 3 was chosen.
[Exclude]
ArrivalTimeHours_1 == -1

[Model]									    
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
$MNL